2020-08-03 19:43 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003218Gobliins2[WHDLoad Installs Games] OCSpublic2020-05-27 00:53
Reporterretrogamer 
Assigned ToStingRayProject InfoGobliins 2 (Cocktel Vision)
http://www.whdload.de/games/Gobliins2.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003218: Get an error massage when running with 68000 cpu
DescriptionPlease make it so exitkey works for 68000.

Slave='Gobliins2.Slave' (4872 bytes)
ShadowMem 2B0590 - 2D4590 ( 147456) AbsolutMem 24000 - 80000 ( 376832)
Resload 29CCE0 - 2A3364 ( 26244) at 29CCE0 GL=$2A86B8
Slave 2A73C8 - 2A86AC ( 4836) at 2A73C8 BaseMemSize=$80000
ExpMem 2D5000 - 395000 ( 786432) at 2D5000
attn=200(UAE,00) fc=-1 kn=20421 cs=1851 rw=0 zpt=-1 ep=0 ei=0
setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC)

Exception "Address Error" ($F00C) PC = $2A8634 (Slave $126C) Read from $2A8477
(Slave $10AF)
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad18.0
imported
Attached Files
  • ? file icon .whdl_register (3,311 bytes) 2015-04-15 16:48 -
    ************************* 28-Jan-11 19:02:13 ************************18.0.5614***
    Slave='Gobliins2.Slave' (4872 bytes)
    ShadowMem   2B0590 -   2D4590 ( 147456) AbsolutMem    24000 -    80000 ( 376832)
    Resload     29CCE0 -   2A3364 (  26244) at 29CCE0  GL=$2A86B8
    Slave       2A73C8 -   2A86AC (   4836) at 2A73C8  BaseMemSize=$80000
    ExpMem      2D5000 -   395000 ( 786432) at 2D5000
    attn=200(UAE,00) fc=-1 kn=20421 cs=1851 rw=0 zpt=-1 ep=0 ei=0
    setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC)
    
    Exception "Address Error" ($F00C) PC = $2A8634 (Slave $126C) Read from $2A8477
    (Slave $10AF)
    
    $002a8606 beq.b        $2a863a
    $002a8608 cmpi.l       #$b0f99,d0
    $002a860e beq.b        $2a8640
    $002a8610 cmpi.l       #$b0c02,d0
    $002a8616 beq.b        $2a8646
    $002a8618 cmpi.l       #$b0ca2,d0
    $002a861e beq.b        $2a864c
    $002a8620 pea          (9).w
    $002a8624 move.l       ($2a83dc,pc),-(a7)             ;$0031ecd0
    $002a8628 addq.l       #4,(a7)                        ;$0031ecd0
    $002a862a rts
    $002a862c lea          ($2a8477,pc),a0
    $002a8630 move.w       d0,(a0)                        ;$002a8477
    $002a8632 rts
    $002a8634 move.w       #$6672,d0
    $002a8638 bra.b        $2a862c
    $002a863a move.w       #$6762,d0
    $002a863e bra.b        $2a862c
    $002a8640 move.w       #$6465,d0
    $002a8644 bra.b        $2a862c
    $002a8646 move.w       #$6974,d0
    $002a864a bra.b        $2a862c
    $002a864c move.w       #$7370,d0
    $002a8650 bra.b        $2a862c
    $002a8652 lea          ($2a8664,pc),a0
    $002a8656 lea          ($2a8686,pc),a1
    $002a865a move.l       ($68).w,(a1)                   ;$a1a1a1a1
    $002a865e move.l       a0,($68).w
    $002a8662 rts
    
    exception stackframe:
    $00394FF2 0011002A 84773080 0000002A 8634
    regular stack:
    $0031ECD0 002A850A 0030992E 00002710 0031A850 0033E228 000029F8 00000037 00000000
    $0031ECF0 00000002 00000008 0000000E 00000014 0000001A 00000020 00000026 0000002C
    $0031ED10 00000032 00000038 0000003E 00000044 0000004A 00000050 00000056 0000005C
    $0031ED30 00000062 00000068 0000006E 00000074 0000007A 00000080 00000086 0000008C
    $0031ED50 00000092 00000098 0000009E 000000A4 000000AA 000000B0 000000B6 000000BC
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx    B6762  D1D1D1D1      2710      2718         1        3E     C717D     C85B7
    Ax   2A8477  A1A1A1A1    29CCE0    31BB04    31ECD8    309134    319CC0
    
                     TTSM III   XNZVC
    PC=  2A8634  SR %0000000000000000  USP=31ECD0  SSP=394FF2
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001101100 dmacon=%0000001111110000 adkcon=$1100
    intreq=%0000000000000000
    vposr....A000  vhposr...11A1  joy0dat..0100  joy1dat..0000  clxdat...81FE  
    pot0dat..000A  pot1dat..0077  potinp...5500  serdatr..3000  dskbytr..2000  
    deniseid.FFFC  hhposr...FE00  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000  tb=C87E<FFFF	   crb=10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=00000111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=0000A0  icr=00  sdr=00    event=00000F  icr=04  sdr=00
    
    ? file icon .whdl_register (3,311 bytes) 2015-04-15 16:48 +

-Relationships
+Relationships

-Notes

note ~0004602

StingRay (developer)

Confirmed and fixed in v1.4 of the patch.
+Notes

-Issue History
Date Modified Username Field Change
2015-04-15 16:48 retrogamer New Issue
2015-04-15 16:48 retrogamer File Added: .whdl_register
2015-07-14 16:16 StingRay Note Added: 0004602
2015-07-14 16:16 StingRay Status new => resolved
2015-07-14 16:16 StingRay Resolution open => fixed
2015-07-14 16:16 StingRay Assigned To => StingRay
2020-05-27 00:53 JOTD Status resolved => closed
+Issue History